
#ifndef lis_protocol_h
#define lis_protocol_h

#define FULL_SCALE 0

void lis_init();
void lis_write_register( unsigned char adress, unsigned char data );
unsigned char lis_read_register( unsigned char adress );
void lis_write_multiple_registers( unsigned char adress, unsigned char size, unsigned char* data );
void lis_read_multiple_registers( unsigned char adress, unsigned char size, unsigned char* data );

//lis register definitions
#define WHO_AM_I 0x0F
#define CTRL_REG1 0x20
#define CTRL_REG2 0x21
#define CTRL_REG3 0x22
#define OUTX_L 0x28
#define OUTX_H 0x29
#define OUTY_L 0x2A
#define OUTY_H 0x2B
#define OUTZ_L 0x2C
#define OUTZ_H 0x2D


#endif //#ifndef lis_protovoll_h
